cpu-0.1.2: Cpu information and properties helpers.

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell98

System.Arch

Description

Synopsis

- data Arch
  - = X86
  - | X86_64
  - | PPC
  - | PPC64
  - | Sparc
  - | Arm
  - | Mips
  - | SH
  - | IA64
  - | S390
  - | Alpha
  - | Hppa
  - | Rs6000
  - | M68K
  - | VAX
- getSystemArch :: Arch

# Documentation

data Arch Source #

List of all cpu architecture

Constructors

X86 |
X86_64 |
PPC |
PPC64 |
Sparc |
Arm |
Mips |
SH |
IA64 |
S390 |
Alpha |
Hppa |
Rs6000 |
M68K |
VAX |

#### Instances

Instances details

Show Arch Source # |
Instance details Defined in System.Arch Methods showsPrec :: Int -> Arch -> ShowS Source # show :: Arch -> String Source # showList :: [Arch] -> ShowS Source #
Eq Arch Source # |
Instance details Defined in System.Arch Methods (==) :: Arch -> Arch -> Bool Source # (/=) :: Arch -> Arch -> Bool Source #

getSystemArch :: Arch Source #

Return the system's cpu architecture